Package org.snpeff.interval.tree

# Interface Itree

All Superinterfaces:
  `Iterable<Marker>`

All Known Implementing Classes:
  `IntervalTree`, `IntervalTreeArray`, `IntervalTreeOri`

public interface Itree extends Iterable<Marker>
Interval tree interface

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Marker interval)`
Add an interval object to the interval tree's list
`void`
`add(Markers markers)`
Add all intervals to interval tree's list
`void`
`build()`
Build the interval tree to reflect the list of intervals.
`Markers`
`getIntervals()`
`boolean`
`isEmpty()`
`boolean`
`isInSync()`
Is the tree 'in sync'? If false, the tree must be 'build()' before the next query
`void`
`load(String fileName, Genome genome)`
Load intervals from file
`Markers`
`query(Interval interval)`
Perform an interval query, returning the intervals that intersect with 'interval'
`int`
`size()`
Size: number of entries in this tree
`Markers`
`stab(int point)`
Perform a stabbing query, returning the interval objects

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

## Method Details

### add

void add(Marker interval)
Add an interval object to the interval tree's list

### add

void add(Markers markers)
Add all intervals to interval tree's list

### build

void build()
Build the interval tree to reflect the list of intervals. Must not run if this is currently in sync

### getIntervals

Markers getIntervals()

### isEmpty

boolean isEmpty()

### isInSync

boolean isInSync()
Is the tree 'in sync'? If false, the tree must be 'build()' before the next query

### load

void load(String fileName, Genome genome)
Load intervals from file

### query

Markers query(Interval interval)
Perform an interval query, returning the intervals that intersect with 'interval'

Returns:
  All intervals that intersect 'interval'

### size

int size()
Size: number of entries in this tree

### stab

Markers stab(int point)
Perform a stabbing query, returning the interval objects

Returns:
  All intervals intersecting 'point'